| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
uiFlatViewDockWin Class Reference
uiFlatView

(Non-modal) main window containing one or more uiFlatViewer(s). More...

`#include <uiflatviewdockwin.h>`

Inheritance diagram for uiFlatViewDockWin:
[legend]

## Classes
struct | Setup

## Public Member Functions
| uiFlatViewDockWin (uiParent *, const Setup &)
| ~uiFlatViewDockWin ()
uiMainWin * | dockParent () override
void | setWinTitle (const uiString &t) override
void | start () override
uiParent * | viewerParent () override
Public Member Functions inherited from uiDockWin
| uiDockWin (uiParent *parnt=0, const uiString &caption=uiString::emptyString())
| ~uiDockWin ()
uiString | getDockName () const
bool | isFloating () const
bool | isVisible () const
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiDockWin) void setGroup(uiGroup *)
QDockWidget * | qwidget ()
void | raise ()
void | setDockName (const uiString &)
void | setFloating (bool)
void | setMinimumWidth (int)
void | setObject (uiObject *)
void | setVisible (bool yn)
uiGroup * | topGroup ()
const uiGroup * | topGroup () const
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
virtual Notifier< uiBaseObject > & | postFinalise ()
virtual Notifier< uiBaseObject > & | postFinalize ()
virtual Notifier< uiBaseObject > & | preFinalise ()
virtual Notifier< uiBaseObject > & | preFinalize ()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from uiFlatViewWin
| uiFlatViewWin ()
virtual | ~uiFlatViewWin ()
virtual void | addControl (uiFlatViewControl *)
virtual void | fillPar (IOPar &) const
int | nrViewers () const
void | setDarkBG (bool)
virtual void | setInitialSize (int w, int h)
virtual void | usePar (const IOPar &)
bool | validIdx (int) const
uiFlatViewer & | viewer (int idx=0)
const uiFlatViewer & | viewer (int idx=0) const

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from uiFlatViewWin
static void | makeInfoMsg (const FlatView::Viewer &, const IOPar &, uiString &)
Protected Member Functions inherited from uiDockWin
uiObject * | mainobject () override
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from uiFlatViewWin
void | cleanUp ()
void | createViewers (int)
virtual void | handleNewViewer (uiFlatViewer *)
void | makeInfoMsg (const IOPar &, uiString &)
Protected Attributes inherited from uiDockWin
uiDockWinBody * | body_
uiParent * | parent_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_
Protected Attributes inherited from uiFlatViewWin
ObjectSet< uiFlatViewer > | vwrs_

## Detailed Description

(Non-modal) main window containing one or more uiFlatViewer(s).

<>

## Constructor & Destructor Documentation

## ◆ uiFlatViewDockWin()

uiFlatViewDockWin::uiFlatViewDockWin | ( | uiParent * | ,
|  | const Setup & | )

## ◆ ~uiFlatViewDockWin()

uiFlatViewDockWin::~uiFlatViewDockWin | ( |  | ) |

## Member Function Documentation

## ◆ dockParent()

uiMainWin * uiFlatViewDockWin::dockParent | ( |  | ) |
| inline override virtual

Implements uiFlatViewWin.

## ◆ setWinTitle()

void uiFlatViewDockWin::setWinTitle | ( | const uiString & | t | ) |
| inline override virtual

Implements uiFlatViewWin.

## ◆ start()

void uiFlatViewDockWin::start | ( |  | ) |
| inline override virtual

Implements uiFlatViewWin.

## ◆ viewerParent()

uiParent * uiFlatViewDockWin::viewerParent | ( |  | ) |
| inline override virtual

Implements uiFlatViewWin.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025